وبلاگ سعید رسولی

بخور، بخواب، کد بزن

بخور، بخواب، کد بزن

گنو/لینوکس، پایتون، زندگی

آخرین مطالب
مطالب پربحث‌تر

StarCalendar 3.0.4

يكشنبه, ۴ مهر ۱۳۹۵، ۰۵:۱۱ ق.ظ

استارکلندر 3.0.4 منتشر شد


Github Release

Source Code

starcal3_3.0.4-1_all.deb

starcal3-3.0.4-1.noarch-openSUSE.rpm


تغییرات نسبت به نسخهٔ 3.0.3


- رفع باگ کار نکردن import و export گروه رویدادها

- رفع باگ Permission Denied برای کسانی که فایل zip را دانلود و نصب می‌کنند

- رفع باگ در نصاب آرچ‌لینوکس: اضافه کردن python-cairo به پیش‌نیازها

- رفع باگ در تقویم اتیوپایی (مربوط به پایتون ۳)

موافقین ۰ مخالفین ۰ ۹۵/۰۷/۰۴
سعید رسولی

نظرات  (۷)

سلام
من تازه با لینوکس آشنا شدم.
بخاطر سخت افزارم دارم از xubuntu استفاده میکنم
طبق دستورات سایت https://wiki.ubuntu.ir/wiki/%D8%A7%D8%B3%D8%AA%D8%A7%D8%B1_%DA%A9%D9%84%D9%86%D8%AF%D8%B1 نصب کردم.
ولی برنامه رو که میزنم اجرا نمیشه.
چه بایدکرد.
پاسخ:
برنامه رو با دستور starcal3 توی ترمینال اجرا کنید و خروجی‌ش رو بذارید
سلام
توی فدورا میخوام نصب کنم
./install-fedora: line 82: rpmbuild: command not found
این خطا رو میده

fedora ۲۲-۶۴bit
پاسخ:
این دستور رو بزنید
sudo dnf install rpm-build
سلام چرا اذان ظهر توش نداره؟
امکان اینکه مثل باد صبا اندروید توش قرار بدین اذان هم بگه وجود داره؟
پاسخ:
سلام
ترجیحات -> افزونه‌ها -> اوقات شرعی -> تنظیم افزونه

۱۰ آذر ۹۵ ، ۱۵:۱۰ محمد قنبری
سلام جناب رسولی
جهت نصب بر بروی centos7 راهنمایی بفرمایید.
این کد رو بزنم
sudo bash ./install
با تشکر
پاسخ:
سلام
اول اسکریپت install-fedora رو تست کنید، اگه کار نکرد همون دستور رو بزنید
روی ابونتو 16 نصب کردم
این خطا رو میده

line 42: ImportError: No module named 'bson'
Traceback (most recent call last):
  File "/usr/share/starcal3/scal3/ui_gtk/starcal.py", line 52, in <module>
    from scal3 import core
  File "/usr/share/starcal3/scal3/core.py", line 38, in <module>
    from scal3 import locale_man
  File "/usr/share/starcal3/scal3/locale_man.py", line 31, in <module>
    from scal3.s_object import JsonSObj
  File "/usr/share/starcal3/scal3/s_object.py", line 7, in <module>
    from bson import BSON
ImportError: No module named 'bson'
پاسخ:
با اسکریپت install-ubuntu نصب کردید؟
بله
از روی ویکی اوبونتو انجام دادم
پاسخ:
چه ورژنی از اوبونتو هست؟
پکیج python3-bson نصبه؟
با دستور starcal3 اجرا کردید؟
(نکنه با پایتون ۲ اجرا می‌کنید)
سلام
منم همین مشکل دوستمون رو دارم
و وقتی توی ترمینال دستور اجرای فایل نصب را میزنم این خطا رو میده:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'gir1.2-appindicator3-0.1' for glob 'gir1.2-appindicator3*'
gir1.2-appindicator3-0.1 is already the newest version (12.10.1+16.04.20170215-0ubuntu1).
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies.
 starcal3 : Depends: python3-psutil but it is not going to be installed
            Depends: python3-bson but it is not going to be installed
            Recommends: python3-igraph but it is not installable
            Recommends: python3-gnomevfs but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
dpkg-deb: building package 'starcal3' in 'starcal3_3.0.6-16-gf88ec81-1_all.deb'.
Package file starcal3_3.0.6-16-gf88ec81-1_all.deb created, installing...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
python3-httplib2 is already the newest version (0.9.1+dfsg-1).
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies.
 starcal3 : Depends: python3-psutil but it is not going to be installed
            Depends: python3-bson but it is not going to be installed
            Recommends: python3-igraph but it is not installable
            Recommends: python3-gnomevfs but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
(Reading database ... 351728 files and directories currently installed.)
Preparing to unpack starcal3_3.0.6-16-gf88ec81-1_all.deb ...
Unpacking starcal3 (3.0.6-16-gf88ec81) over (3.0.6-16-gf88ec81) ...
dpkg: dependency problems prevent configuration of starcal3:
 starcal3 depends on python3-psutil; however:
  Package python3-psutil is not installed.
 starcal3 depends on python3-bson; however:
  Package python3-bson is not installed.

dpkg: error processing package starcal3 (--install):
 dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Errors were encountered while processing:
 starcal3

پاسخ:
سلام
توزیع شما xenial هست، درسته؟
من پکیج‌ها رو دوباره چک کردم اوکی بود

لطفاً این دستورها رو بزنید
sudo apt-get -f install
sudo apt-get update

و بعد دوباره با این دستور نصب کنید
sudo ./install-ubuntu

ارسال نظر

کاربران بیان میتوانند بدون نیاز به تأیید، نظرات خود را ارسال کنند.
اگر قبلا در بیان ثبت نام کرده اید لطفا ابتدا وارد شوید، در غیر این صورت می توانید ثبت نام کنید.
شما میتوانید از این تگهای html استفاده کنید:
<b> یا <strong>، <em> یا <i>، <u>، <strike> یا <s>، <sup>، <sub>، <blockquote>، <code>، <pre>، <hr>، <br>، <p>، <a href="" title="">، <span style="">، <div align="">